<template>
  <section class="AppFinancingNeeds">
    <component :is="currentComponent" :instance="instance" :dict="dict" :permissions="permissions"/>
  </section>
</template>

<script>
import NeedsDetail from "./needsDetail";
import NeedsList from "./needsList";

export default {
  name: "AppFinancingNeeds",
  components: {NeedsList, NeedsDetail},
  label: "融资需求",
  props: {
    instance: Function,
    dict: Object,
    permissions: Function
  },
  provide() {
    return {
      need: this
    }
  },
  computed: {
    currentComponent() {
      return !!this.$route.query.id ? NeedsDetail : NeedsList
    }
  },
  created() {
    this.dict.load("productRepaymentTimeline", "financialFundPurpose", "financingDemandApplyType", "enterpriseType", "dishonestPersonSituation", "administrativeSanctionType",
        "financingDemandApplyType")
  },
}
</script>

<style lang="scss" scoped>
.AppFinancingNeeds {
  height: 100%;
}
</style>
